<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/style.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Users</title>
    <link href="./bass-clef-48.ico" rel="shortcut icon" type="image/x-icon">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light fixed-top">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="./composers.html">Composers</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="./compositions.html">Compositions</a>
            </li>
            <li class="nav-item" id="login-nav-item">
                <a class="nav-link" onclick="logout()" href='./index.html'>Log Out</a>
            </li>
        </ul>
    </div>
</nav>

<div class="container white-background" style="width: 50em;">
    <h1 class="mb-5 font-weight-bold">Users</h1>
    <section id="users" class="text-center">
        <table id="users-table" class="table">
            <thead>
            <tr>
                <th scope="col">Username</th>
            </tr>
            </thead>
            <tbody id="users-table-body">

            </tbody>
        </table>
    </section>
</div>

<section class="container style=" style="width: 18em;">
    <form class="form-signin" id="user-by-username">
        <div class="form-floating mb-3">
            <p>Enter a username for more details</p>
            <input type="text" class="form-control" id="userName" name="userName" style="height: 50px;">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </form>
</section>

<section class="container white-background" style="margin-top: 20px; width: 17em">
    <ul id="user-data">

    </ul>

    </ul>
</section>

<script src="../scripts/users.js"></script>

<script>
    function logout() {
        sessionStorage.removeItem('authToken');
    }
</script>

</body>

</html>